io.agora.rtc

## Enum Constants.CapabilityType

- java.lang.Object
- - java.lang.Enum<Constants.CapabilityType>
  - - io.agora.rtc.Constants.CapabilityType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.CapabilityType>
  Enclosing class:
    Constants

      public static enum Constants.CapabilityType
      extends java.lang.Enum<Constants.CapabilityType>

  Capability types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUDIO_2_IN_AUT` Audio 2-in-1 capability.
    `AUDIO_CODEC` Audio codec capability.
    `AUDIO_NON_CLOCKED_STREAMING` Audio non-clocked streaming capability.
    `AUDIO_RSFEC` Audio RSFEC capability.
    `BFRAME` B-frame capability.
    `CHANNEL_PROFILE` Channel profile capability.
    `CODEC_WITH_RQFEC` Codec with RQFEC capability.
    `DMEC_VERSION` DMEC version capability.
    `H264_FEATURE` H264 feature capability.
    `MINOR_STREAM` Minor stream capability.
    `MULTIPLE_REDUNDANCY` Multiple redundancy capability.
    `P2P` P2P capability.
    `RTP_EXTENSION` RTP extension capability.
    `SVC` SVC capability.
    `VIDEO_CODEC` Video codec capability.
    `VIDEO_FEC` Video FEC capability.
    `VP8_FEATURE` VP8 feature capability.
    `WEBRTC` WebRTC capability.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the capability type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.CapabilityType` | `fromInt(int value)` Converts an integer value to its corresponding CapabilityType enum constant.
    `int` | `getValue()` Gets the integer value of the capability type.
    `static Constants.CapabilityType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.CapabilityType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHANNEL_PROFILE

          public static final Constants.CapabilityType CHANNEL_PROFILE

      Channel profile capability.

    - #### AUDIO_CODEC

          public static final Constants.CapabilityType AUDIO_CODEC

      Audio codec capability.

    - #### VIDEO_CODEC

          public static final Constants.CapabilityType VIDEO_CODEC

      Video codec capability.

    - #### H264_FEATURE

          public static final Constants.CapabilityType H264_FEATURE

      H264 feature capability.

    - #### VIDEO_FEC

          public static final Constants.CapabilityType VIDEO_FEC

      Video FEC capability.

    - #### WEBRTC

          public static final Constants.CapabilityType WEBRTC

      WebRTC capability.

    - #### P2P

          public static final Constants.CapabilityType P2P

      P2P capability.

    - #### AUDIO_RSFEC

          public static final Constants.CapabilityType AUDIO_RSFEC

      Audio RSFEC capability.

    - #### RTP_EXTENSION

          public static final Constants.CapabilityType RTP_EXTENSION

      RTP extension capability.

    - #### AUDIO_2_IN_AUT

          public static final Constants.CapabilityType AUDIO_2_IN_AUT

      Audio 2-in-1 capability.

    - #### VP8_FEATURE

          public static final Constants.CapabilityType VP8_FEATURE

      VP8 feature capability.

    - #### SVC

          public static final Constants.CapabilityType SVC

      SVC capability.

    - #### DMEC_VERSION

          public static final Constants.CapabilityType DMEC_VERSION

      DMEC version capability.

    - #### MULTIPLE_REDUNDANCY

          public static final Constants.CapabilityType MULTIPLE_REDUNDANCY

      Multiple redundancy capability.

    - #### BFRAME

          public static final Constants.CapabilityType BFRAME

      B-frame capability.

    - #### MINOR_STREAM

          public static final Constants.CapabilityType MINOR_STREAM

      Minor stream capability.

    - #### CODEC_WITH_RQFEC

          public static final Constants.CapabilityType CODEC_WITH_RQFEC

      Codec with RQFEC capability.

    - #### AUDIO_NON_CLOCKED_STREAMING

          public static final Constants.CapabilityType AUDIO_NON_CLOCKED_STREAMING

      Audio non-clocked streaming capability.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the capability type

  - ### Method Detail

    - #### values

          public static Constants.CapabilityType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.CapabilityType c : Constants.CapabilityType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.CapabilityType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the capability type.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.CapabilityType fromInt(int value)

      Converts an integer value to its corresponding CapabilityType enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding CapabilityType, or null if the value is not found.